Index: /pjproject/branches/projects/vs-reorg/pjproject-vs8.sln
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjproject-vs8.sln	(revision 2625)
+++ /pjproject/branches/projects/vs-reorg/pjproject-vs8.sln	(revision 2626)
@@ -1022,10 +1433,8 @@
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug|Windows Mobile 5.0 Pocket PC SDK 2 (ARMV4I).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug|Windows Mobile 6 Professional SDK (ARMV4I).Build.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Mixed Platforms.ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Mixed Platforms.Build.0 = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Mixed Platforms.Deploy.0 = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1036,7 +1445,5 @@
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Mixed Platforms.ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Mixed Platforms.Build.0 = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Mixed Platforms.Deploy.0 = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
+		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Smartphone 2003 (ARMV4).ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1047,7 +1454,5 @@
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release|Mixed Platforms.ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release|Mixed Platforms.Build.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release|Mixed Platforms.Deploy.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release|Smartphone 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1059,7 +1464,4 @@
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Mixed Platforms.ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Mixed Platforms.Build.0 = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Mixed Platforms.Deploy.0 = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1070,7 +1472,5 @@
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Static|Mixed Platforms.ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Static|Mixed Platforms.Build.0 = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Static|Mixed Platforms.Deploy.0 = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
+		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Static|Smartphone 2003 (ARMV4).ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
Index: /pjproject/branches/projects/vs-reorg/pjsip-apps/build/pjsua.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip-apps/build/pjsua.vcproj	(revision 2625)
+++ /pjproject/branches/projects/vs-reorg/pjsip-apps/build/pjsua.vcproj	(revision 2626)
@@ -48,5 +48,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_CONSOLE;"
 
 				AdditionalIncludeDirectories="../../pjsip/include,../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include"
@@ -190,5 +190,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_CONSOLE;"
 
 				AdditionalIncludeDirectories="../../pjsip/include,../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include"
@@ -332,5 +332,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_CONSOLE;"
 
 				AdditionalIncludeDirectories="../../pjsip/include,../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include"
@@ -474,5 +474,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_CONSOLE;"
 
 				AdditionalIncludeDirectories="../../pjsip/include,../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include"
@@ -616,5 +616,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_CONSOLE;"
 
 				AdditionalIncludeDirectories="../../pjsip/include,../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include"
@@ -758,5 +758,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_CONSOLE;"
 
 				AdditionalIncludeDirectories="../../pjsip/include,../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include"
Index: /pjproject/branches/projects/vs-reorg/pjsip-apps/build/py_pjsua.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip-apps/build/py_pjsua.vcproj	(revision 2625)
+++ /pjproject/branches/projects/vs-reorg/pjsip-apps/build/py_pjsua.vcproj	(revision 2626)
@@ -44,5 +44,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="..\..\pjlib\include,..\..\pjlib-util\include,..\..\pjmedia\include,..\..\pjsip\include,../../pjnath/include"
@@ -116,5 +116,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="..\..\pjlib\include,..\..\pjlib-util\include,..\..\pjmedia\include,..\..\pjsip\include,../../pjnath/include"
Index: /pjproject/branches/projects/vs-reorg/pjsip-apps/build/sample_debug.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip-apps/build/sample_debug.vcproj	(revision 2625)
+++ /pjproject/branches/projects/vs-reorg/pjsip-apps/build/sample_debug.vcproj	(revision 2626)
@@ -48,5 +48,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_CONSOLE;"
 
 				AdditionalIncludeDirectories="../../pjsip/include,../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include"
@@ -190,5 +190,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_CONSOLE;"
 
 				AdditionalIncludeDirectories="../../pjsip/include,../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include"
@@ -332,5 +332,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_CONSOLE;"
 
 				AdditionalIncludeDirectories="../../pjsip/include,../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include"
@@ -474,5 +474,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_CONSOLE;"
 
 				AdditionalIncludeDirectories="../../pjsip/include,../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include"
@@ -616,5 +616,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_CONSOLE;"
 
 				AdditionalIncludeDirectories="../../pjsip/include,../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include"
@@ -758,5 +758,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_CONSOLE;"
 
 				AdditionalIncludeDirectories="../../pjsip/include,../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include"
Index: /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_core.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_core.vcproj	(revision 2625)
+++ /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_core.vcproj	(revision 2626)
@@ -51,5 +51,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -112,5 +112,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -181,5 +181,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -251,5 +251,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -312,5 +312,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -381,5 +381,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -451,5 +451,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -512,5 +512,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -581,5 +581,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -651,5 +651,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -712,5 +712,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -781,5 +781,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -851,5 +851,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -912,5 +912,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -981,5 +981,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -1051,5 +1051,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -1112,5 +1112,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
@@ -1181,5 +1181,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib/include,../../pjlib-util/include"
Index: /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_simple.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_simple.vcproj	(revision 2625)
+++ /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_simple.vcproj	(revision 2626)
@@ -51,5 +51,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -112,5 +112,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -181,5 +181,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -251,5 +251,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -312,5 +312,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -381,5 +381,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -451,5 +451,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -512,5 +512,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -581,5 +581,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -651,5 +651,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -712,5 +712,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -781,5 +781,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -851,5 +851,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -912,5 +912,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -981,5 +981,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -1051,5 +1051,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -1112,5 +1112,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
@@ -1181,5 +1181,5 @@
 				PrecompiledHeaderFile=""
 
-				PreprocessorDefinitions=""
+				PreprocessorDefinitions="_LIB;"
 
 				AdditionalIncludeDirectories="../include,../../pjlib-util/include,../../pjlib/include"
